#include <map>
#include "Timer.cpp"

class TimerManager{
	std::map<std::string, Timer*> _timers;

	public:

	void add(std::string name, void (*callback)(void)){
		_timers[name] = new Timer(callback);
	}

	void reset(std::string name, unsigned long interval){
		if (!_timers.count(name))
			return;
		_timers.find(name)->second->reset(interval);
	}

	void loop(){
		for(auto iterator = _timers.begin(); iterator != _timers.end(); ++iterator)
		{
			auto timer = iterator->second;
			timer->loop();
		}
	}
};
